import Vue from 'vue'
import VueRouter from 'vue-router'

import Home from 'vuejs/components/Content/Home'
import Base from 'vuejs/components/Content/Base'

Vue.use(VueRouter)

// https://www.lullabot.com/articles/decoupled-hard-problems-routing

export default new VueRouter({
  mode: 'history',
  routes: [
    {
      path: '/',
      name: 'home',
      components: {
        'home': Home
      }
    },
    {
      path: '/base',
      name:'base',
      components: {
        'base': Base
      }
    },
    // {
    //   path: '*',
    //   name: 'notfound',
    //   components: {
    //     'notfound': NotFound
    //   }
    // }
  ]
})
